org.apache.pdfbox.contentstream.operator.graphics

## Class LegacyFillNonZeroRule

- java.lang.Object
- - org.apache.pdfbox.contentstream.operator.OperatorProcessor
  - - org.apache.pdfbox.contentstream.operator.graphics.GraphicsOperatorProcessor
    - - org.apache.pdfbox.contentstream.operator.graphics.FillNonZeroRule
      - - org.apache.pdfbox.contentstream.operator.graphics.LegacyFillNonZeroRule

    public final class LegacyFillNonZeroRule
    extends FillNonZeroRule

F Fill path using non zero winding rule. Included only for compatibility with Acrobat.

Author:
  John Hewson

### Constructor Summary

Constructors
Constructor and Description
`LegacyFillNonZeroRule(PDFGraphicsStreamEngine context)`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `getName()` Returns the name of this operator, e.g.

### Methods inherited from class org.apache.pdfbox.contentstream.operator.graphics.FillNonZeroRule

`process`

### Methods inherited from class org.apache.pdfbox.contentstream.operator.graphics.GraphicsOperatorProcessor

`getGraphicsContext`

### Methods inherited from class org.apache.pdfbox.contentstream.operator.OperatorProcessor

`checkArrayTypesClass, getContext`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### LegacyFillNonZeroRule

    public LegacyFillNonZeroRule(PDFGraphicsStreamEngine context)

### Method Detail

#### getName

    public String getName()

Description copied from class: `OperatorProcessor`
Returns the name of this operator, e.g. "BI".

Overrides:
  `getName` in class `FillNonZeroRule`
Returns:
  the name of the operator